xulrunner 1.9.2.27 tracking bug

Bug #934073 reported by Micah Gersten on 2012-02-17
264
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xulrunner-1.9.2 (Ubuntu)
Undecided
Unassigned
Lucid
Medium
Micah Gersten
Maverick
Medium
Micah Gersten

Bug Description

Micah Gersten (micahg) on 2012-02-17
Changed in xulrunner-1.9.2 (Ubuntu):
status: New → Invalid
Changed in xulrunner-1.9.2 (Ubuntu Lucid):
status: New → In Progress
importance: Undecided → Medium
Changed in xulrunner-1.9.2 (Ubuntu Maverick):
importance: Undecided → Medium
Changed in xulrunner-1.9.2 (Ubuntu Lucid):
assignee: nobody → Micah Gersten (micahg)
Changed in xulrunner-1.9.2 (Ubuntu Maverick):
assignee: nobody → Micah Gersten (micahg)
status: New → In Progress
Micah Gersten (micahg) on 2012-02-17
visibility: private → public
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xulrunner-1.9.2 - 1.9.2.27+build1+nobinonly-0ubuntu0.11.04.1

---------------
xulrunner-1.9.2 (1.9.2.27+build1+nobinonly-0ubuntu0.11.04.1) natty-security; urgency=low

  * SECURITY UPDATE: New upstream release v1.9.2.27 (FIREFOX_3_6_27_BUILD1)
    See the following for more information:
    - LP: #934073
    - USN-1353-1
    - USN-1251-1
    - USN-1210-1
    - LP: #838322
    - LP: #837557
    - USN-1184-1
    - USN-1149-1
 -- Jamie Strandboge <email address hidden> Fri, 17 Feb 2012 08:04:19 -0600

Changed in xulrunner-1.9.2 (Ubuntu):
status: Invalid → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xulrunner-1.9.2 - 1.9.2.27+build1+nobinonly-0ubuntu0.10.04.1

---------------
xulrunner-1.9.2 (1.9.2.27+build1+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v1.9.2.27 (FIREFOX_3_6_27_BUILD1)
    - see LP: #934073 for USN information
 -- Micah Gersten <email address hidden> Fri, 17 Feb 2012 04:08:27 -0600

Changed in xulrunner-1.9.2 (Ubuntu Lucid):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xulrunner-1.9.2 - 1.9.2.27+build1+nobinonly-0ubuntu0.10.10.1

---------------
xulrunner-1.9.2 (1.9.2.27+build1+nobinonly-0ubuntu0.10.10.1) maverick-security; urgency=low

  * New upstream release v1.9.2.27 (FIREFOX_3_6_27_BUILD1)
    - see LP: #934073 for USN information
 -- Micah Gersten <email address hidden> Fri, 17 Feb 2012 04:26:55 -0600

Changed in xulrunner-1.9.2 (Ubuntu Maverick):
status: In Progress → Fix Released

I downloaded the source of the fix from https://code.launchpad.net/~ubuntu-branches/ubuntu/lucid/xulrunner-1.9.2/lucid-security

However, compilation and installation gives the following error on Lucid Ubuntu 10.04.3 LTS

# dpkg -i xulrunner-1.9.2_1.9.2.27+build1+nobinonly-0ubuntu0.10.04.1_amd64.deb
Selecting previously deselected package xulrunner-1.9.2.
(Reading database ... 185547 files and directories currently installed.)
Unpacking xulrunner-1.9.2 (from xulrunner-1.9.2_1.9.2.27+build1+nobinonly-0ubuntu0.10.04.1_amd64.deb) ...
Setting up xulrunner-1.9.2 (1.9.2.27+build1+nobinonly-0ubuntu0.10.04.1) ...
/usr/lib/xulrunner-1.9.2.27/xulrunner-bin: symbol lookup error: /usr/lib/xulrunner-1.9.2.27/libxul.so: undefined symbol: PR_SetPollableEvent
dpkg: error processing xulrunner-1.9.2 (--install):
 subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
 xulrunner-1.9.2

Where can I get the fix?

Micah Gersten (micahg) on 2012-02-22
description: updated
Micah Gersten (micahg) wrote :

@Abhishek Singh Bailoo
Please file a new bug with a build log.

To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers